[@bigcommerce/checkout-sdk](../README.md) / ShippingStrategySelector

# Interface: ShippingStrategySelector

## Table of contents

### Methods

- [getInitializeError](ShippingStrategySelector.md#getinitializeerror)
- [getSelectOptionError](ShippingStrategySelector.md#getselectoptionerror)
- [getUpdateAddressError](ShippingStrategySelector.md#getupdateaddresserror)
- [getWidgetInteractionError](ShippingStrategySelector.md#getwidgetinteractionerror)
- [isInitialized](ShippingStrategySelector.md#isinitialized)
- [isInitializing](ShippingStrategySelector.md#isinitializing)
- [isSelectingOption](ShippingStrategySelector.md#isselectingoption)
- [isUpdatingAddress](ShippingStrategySelector.md#isupdatingaddress)
- [isWidgetInteracting](ShippingStrategySelector.md#iswidgetinteracting)

## Methods

### getInitializeError

▸ **getInitializeError**(`methodId?`): `undefined` \| `Error`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`undefined` \| `Error`

___

### getSelectOptionError

▸ **getSelectOptionError**(`methodId?`): `undefined` \| `Error`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`undefined` \| `Error`

___

### getUpdateAddressError

▸ **getUpdateAddressError**(`methodId?`): `undefined` \| `Error`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`undefined` \| `Error`

___

### getWidgetInteractionError

▸ **getWidgetInteractionError**(`methodId?`): `undefined` \| `Error`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`undefined` \| `Error`

___

### isInitialized

▸ **isInitialized**(`methodId`): `boolean`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId` | `string` |

#### Returns

`boolean`

___

### isInitializing

▸ **isInitializing**(`methodId?`): `boolean`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`boolean`

___

### isSelectingOption

▸ **isSelectingOption**(`methodId?`): `boolean`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`boolean`

___

### isUpdatingAddress

▸ **isUpdatingAddress**(`methodId?`): `boolean`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`boolean`

___

### isWidgetInteracting

▸ **isWidgetInteracting**(`methodId?`): `boolean`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`boolean`
